package com.mortals.xhx.module.datum.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:DatumFile
* date: 2021-9-6 14:40:57
*/
public class DatumFileEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630910457470L;


    /**
    * 附件ID
    */
    private Long tid;

    /**
    * 材料id 政务网
    */
    private Long datumid;

    /**
    * 用户事项id(gra_matterdatum的id)
    */
    private Integer fdatumid;

    /**
    * 上传资料地址
    */
    private String file;

    /**
    * 上传时间
    */
    private Date uploadtime;

    /**
    * 状态 1资料上传 2确认提交
    */
    private Integer type;

    /**
    * 审核是否不通过 0待审核 1不通过 2通过
    */
    private Integer examine;

    /**
    * 不通过原因
    */
    private String summary;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public DatumFileEntity(){

    }
    /**
    * 获取 附件ID
    * @return tid
    */
    public Long getTid() {
        return this.tid;
    }
    /**
    * 设置 附件ID
    * @param tid
    */
    public void setTid(Long tid) {
        this.tid = tid;
    }
    /**
    * 获取 材料id 政务网
    * @return datumid
    */
    public Long getDatumid() {
        return this.datumid;
    }
    /**
    * 设置 材料id 政务网
    * @param datumid
    */
    public void setDatumid(Long datumid) {
        this.datumid = datumid;
    }
    /**
    * 获取 用户事项id(gra_matterdatum的id)
    * @return fdatumid
    */
    public Integer getFdatumid() {
        return this.fdatumid;
    }
    /**
    * 设置 用户事项id(gra_matterdatum的id)
    * @param fdatumid
    */
    public void setFdatumid(Integer fdatumid) {
        this.fdatumid = fdatumid;
    }
    /**
    * 获取 上传资料地址
    * @return file
    */
    public String getFile() {
        return this.file;
    }
    /**
    * 设置 上传资料地址
    * @param file
    */
    public void setFile(String file) {
        this.file = file;
    }
    /**
    * 获取 上传时间
    * @return uploadtime
    */
    public Date getUploadtime() {
        return this.uploadtime;
    }
    /**
    * 设置 上传时间
    * @param uploadtime
    */
    public void setUploadtime(Date uploadtime) {
        this.uploadtime = uploadtime;
    }
    /**
    * 获取 状态 1资料上传 2确认提交
    * @return type
    */
    public Integer getType() {
        return this.type;
    }
    /**
    * 设置 状态 1资料上传 2确认提交
    * @param type
    */
    public void setType(Integer type) {
        this.type = type;
    }
    /**
    * 获取 审核是否不通过 0待审核 1不通过 2通过
    * @return examine
    */
    public Integer getExamine() {
        return this.examine;
    }
    /**
    * 设置 审核是否不通过 0待审核 1不通过 2通过
    * @param examine
    */
    public void setExamine(Integer examine) {
        this.examine = examine;
    }
    /**
    * 获取 不通过原因
    * @return summary
    */
    public String getSummary() {
        return this.summary;
    }
    /**
    * 设置 不通过原因
    * @param summary
    */
    public void setSummary(String summary) {
        this.summary = summary;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof DatumFileEntity) {
            DatumFileEntity tmp = (DatumFileEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",tid:").append(getTid())
                .append(",datumid:").append(getDatumid())
                .append(",fdatumid:").append(getFdatumid())
                .append(",file:").append(getFile())
                .append(",uploadtime:").append(getUploadtime())
                .append(",type:").append(getType())
                .append(",examine:").append(getExamine())
                .append(",summary:").append(getSummary())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.tid = null;

         this.datumid = null;

         this.fdatumid = null;

         this.file = null;

         this.uploadtime = null;

         this.type = null;

         this.examine = null;

         this.summary = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}